/**
* DevExtreme (ui/form.d.ts)
* Version: 19.2.1 (build 19228-2142)
* Build date: Fri Aug 16 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxForm(): JQuery;
    dxForm(options: "instance"): DevExpress.ui.dxForm;
    dxForm(options: string): any;
    dxForm(options: string, ...params: any[]): any;
    dxForm(options: DevExpress.ui.dxFormOptions): JQuery;
}
}
export default DevExpress.ui.dxForm;
export type Options = DevExpress.ui.dxFormOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxFormOptions;